<html>
<head>
<title>OGRE: Member List - OGRE Documentation</title> <meta http-equiv="Content-Type" content="text/html; charset=iso-8859-1"> 
<link type="text/css" rel="stylesheet" href="doxygen.css">
<link type="text/css" rel="stylesheet" href="tabs.css">
</head>

<body>
<!-- Generated by Doxygen 1.5.3 -->
<div class="tabs">
  <ul>
    <li><a href="index.html"><span>Main&nbsp;Page</span></a></li>
    <li><a href="namespaces.html"><span>Namespaces</span></a></li>
    <li class="current"><a href="classes.html"><span>Classes</span></a></li>
    <li><a href="files.html"><span>Files</span></a></li>
    <li><a href="dirs.html"><span>Directories</span></a></li>
    <li><a href="pages.html"><span>Related&nbsp;Pages</span></a></li>
  </ul>
</div>
<div class="tabs">
  <ul>
    <li><a href="classes.html"><span>Alphabetical&nbsp;List</span></a></li>
    <li><a href="annotated.html"><span>Class&nbsp;List</span></a></li>
    <li><a href="hierarchy.html"><span>Class&nbsp;Hierarchy</span></a></li>
    <li><a href="functions.html"><span>Class&nbsp;Members</span></a></li>
  </ul>
</div>
<h1>Ogre::TextureManager Member List</h1>This is the complete list of members for <a class="el" href="classOgre_1_1TextureManager.html">Ogre::TextureManager</a>, including all inherited members.<p><table>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1ResourceManager.html#f1a871ac005af0be0b8c1857a4f8eea9">_notifyResourceLoaded</a>(Resource *res)</td><td><a class="el" href="classOgre_1_1ResourceManager.html">Ogre::ResourceManager</a></td><td><code> [virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1ResourceManager.html#40769092850d5b296e1d1a9190631700">_notifyResourceTouched</a>(Resource *res)</td><td><a class="el" href="classOgre_1_1ResourceManager.html">Ogre::ResourceManager</a></td><td><code> [virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1ResourceManager.html#54d1843a43aebb13542312cd17134e6a">_notifyResourceUnloaded</a>(Resource *res)</td><td><a class="el" href="classOgre_1_1ResourceManager.html">Ogre::ResourceManager</a></td><td><code> [virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1ResourceManager.html#00bb3a6324cff9b1a572282d4c596b57">addImpl</a>(ResourcePtr &amp;res)</td><td><a class="el" href="classOgre_1_1ResourceManager.html">Ogre::ResourceManager</a></td><td><code> [protected, virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1ResourceManager.html#8316910598c9ceda62b3ec5be001d372">checkUsage</a>(void)</td><td><a class="el" href="classOgre_1_1ResourceManager.html">Ogre::ResourceManager</a></td><td><code> [protected, virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1ResourceManager.html#c64c2b9c9dc775e05a81ff48d4293d4e">create</a>(const String &amp;name, const String &amp;group, bool isManual=false, ManualResourceLoader *loader=0, const NameValuePairList *createParams=0)</td><td><a class="el" href="classOgre_1_1ResourceManager.html">Ogre::ResourceManager</a></td><td><code> [virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1ResourceManager.html#e772fdc39c17a78cc050b161ebef77aa">createImpl</a>(const String &amp;name, ResourceHandle handle, const String &amp;group, bool isManual, ManualResourceLoader *loader, const NameValuePairList *createParams)=0</td><td><a class="el" href="classOgre_1_1ResourceManager.html">Ogre::ResourceManager</a></td><td><code> [protected, pure virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1TextureManager.html#e254bdaaad553d03ab64ec1b33806c00">createManual</a>(const String &amp;name, const String &amp;group, TextureType texType, uint width, uint height, uint depth, int num_mips, PixelFormat format, int usage=TU_DEFAULT, ManualResourceLoader *loader=0)</td><td><a class="el" href="classOgre_1_1TextureManager.html">Ogre::TextureManager</a></td><td><code> [virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1TextureManager.html#f270b79b989fb37e37aba834783583db">createManual</a>(const String &amp;name, const String &amp;group, TextureType texType, uint width, uint height, int num_mips, PixelFormat format, int usage=TU_DEFAULT, ManualResourceLoader *loader=0)</td><td><a class="el" href="classOgre_1_1TextureManager.html">Ogre::TextureManager</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1ResourceManager.html#48c565d0e63b286c6388439ae73417df">createOrRetrieve</a>(const String &amp;name, const String &amp;group, bool isManual=false, ManualResourceLoader *loader=0, const NameValuePairList *createParams=0)</td><td><a class="el" href="classOgre_1_1ResourceManager.html">Ogre::ResourceManager</a></td><td><code> [virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1ResourceManager.html#b1c354fd2294c7c50b3f3e9ce42543f7">getByHandle</a>(ResourceHandle handle)</td><td><a class="el" href="classOgre_1_1ResourceManager.html">Ogre::ResourceManager</a></td><td><code> [virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1ResourceManager.html#1f223bed768b186a6c3145c26cae4ac3">getByName</a>(const String &amp;name)</td><td><a class="el" href="classOgre_1_1ResourceManager.html">Ogre::ResourceManager</a></td><td><code> [virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1TextureManager.html#3cc7b930d37bc9fc156f7a2cadb572a3">getDefaultNumMipmaps</a>()</td><td><a class="el" href="classOgre_1_1TextureManager.html">Ogre::TextureManager</a></td><td><code> [virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1ResourceManager.html#917b69fbaf300dcb0488d14d357296df">getLoadingOrder</a>(void) const </td><td><a class="el" href="classOgre_1_1ResourceManager.html">Ogre::ResourceManager</a></td><td><code> [virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1ResourceManager.html#e24629f37283bf777987aab6bc3fa110">getMemoryBudget</a>(void) const </td><td><a class="el" href="classOgre_1_1ResourceManager.html">Ogre::ResourceManager</a></td><td><code> [virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1ResourceManager.html#0458e4665975faed7311b05879dfac2f">getMemoryUsage</a>(void) const </td><td><a class="el" href="classOgre_1_1ResourceManager.html">Ogre::ResourceManager</a></td><td><code> [virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1TextureManager.html#bdb6dabaecc1bcf27ce9906f85b64235">getNativeFormat</a>(TextureType ttype, PixelFormat format, int usage)=0</td><td><a class="el" href="classOgre_1_1TextureManager.html">Ogre::TextureManager</a></td><td><code> [pure virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1ResourceManager.html#dc9077f415314ebc0f7feb314b76d4d4">getNextHandle</a>(void)</td><td><a class="el" href="classOgre_1_1ResourceManager.html">Ogre::ResourceManager</a></td><td><code> [protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1TextureManager.html#ddaee46caee1ed7de0cc2db3ed150696">getPreferredFloatBitDepth</a>(void) const </td><td><a class="el" href="classOgre_1_1TextureManager.html">Ogre::TextureManager</a></td><td><code> [virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1TextureManager.html#b5ed4bffea6d80cb6618b8dbdd93feb5">getPreferredIntegerBitDepth</a>(void) const </td><td><a class="el" href="classOgre_1_1TextureManager.html">Ogre::TextureManager</a></td><td><code> [virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1ResourceManager.html#4d3289d4636168230da11c1c9794db59">getResourceIterator</a>(void)</td><td><a class="el" href="classOgre_1_1ResourceManager.html">Ogre::ResourceManager</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1ResourceManager.html#4a16604e10cd71957fcce705dead9a2c">getResourceType</a>(void) const </td><td><a class="el" href="classOgre_1_1ResourceManager.html">Ogre::ResourceManager</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1ResourceManager.html#37ec0e845f49b7f7e3dc868456ced1e8">getScriptPatterns</a>(void) const </td><td><a class="el" href="classOgre_1_1ResourceManager.html">Ogre::ResourceManager</a></td><td><code> [virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1TextureManager.html#c6fb858ee86f3b7b75de32e3e04ee5c8">getSingleton</a>(void)</td><td><a class="el" href="classOgre_1_1TextureManager.html">Ogre::TextureManager</a></td><td><code> [static]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1TextureManager.html#3a55789d982b34bdd9daa27650360653">getSingletonPtr</a>(void)</td><td><a class="el" href="classOgre_1_1TextureManager.html">Ogre::TextureManager</a></td><td><code> [static]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1TextureManager.html#bbbab1db9a334e39c2114ee3a21b013f">isEquivalentFormatSupported</a>(TextureType ttype, PixelFormat format, int usage)</td><td><a class="el" href="classOgre_1_1TextureManager.html">Ogre::TextureManager</a></td><td><code> [virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1TextureManager.html#65730ea50a81401518b4cbf6bb6a0a73">isFormatSupported</a>(TextureType ttype, PixelFormat format, int usage)</td><td><a class="el" href="classOgre_1_1TextureManager.html">Ogre::TextureManager</a></td><td><code> [virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1TextureManager.html#1af003cd1d6fb4c671afe2e97a5bd536">isHardwareFilteringSupported</a>(TextureType ttype, PixelFormat format, int usage, bool preciseFormatOnly=false)=0</td><td><a class="el" href="classOgre_1_1TextureManager.html">Ogre::TextureManager</a></td><td><code> [pure virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1TextureManager.html#51761d20c23356defa3a252383e9414d">load</a>(const String &amp;name, const String &amp;group, TextureType texType=TEX_TYPE_2D, int numMipmaps=MIP_DEFAULT, Real gamma=1.0f, bool isAlpha=false, PixelFormat desiredFormat=PF_UNKNOWN)</td><td><a class="el" href="classOgre_1_1TextureManager.html">Ogre::TextureManager</a></td><td><code> [virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1ResourceManager.html#998612da9b363c55e3be826f2a91c25a">Ogre::ResourceManager::load</a>(const String &amp;name, const String &amp;group, bool isManual=false, ManualResourceLoader *loader=0, const NameValuePairList *loadParams=0)</td><td><a class="el" href="classOgre_1_1ResourceManager.html">Ogre::ResourceManager</a></td><td><code> [virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1TextureManager.html#0ac92c3e247e50dd0d2e6fcef85c9d96">loadImage</a>(const String &amp;name, const String &amp;group, const Image &amp;img, TextureType texType=TEX_TYPE_2D, int iNumMipmaps=MIP_DEFAULT, Real gamma=1.0f, bool isAlpha=false, PixelFormat desiredFormat=PF_UNKNOWN)</td><td><a class="el" href="classOgre_1_1TextureManager.html">Ogre::TextureManager</a></td><td><code> [virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1TextureManager.html#94cc0ef736e1af46e1a6e8e56d6e6c15">loadRawData</a>(const String &amp;name, const String &amp;group, DataStreamPtr &amp;stream, ushort uWidth, ushort uHeight, PixelFormat format, TextureType texType=TEX_TYPE_2D, int iNumMipmaps=MIP_DEFAULT, Real gamma=1.0f)</td><td><a class="el" href="classOgre_1_1TextureManager.html">Ogre::TextureManager</a></td><td><code> [virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1TextureManager.html#3c3115c8ccf3796cad2ec691ce019221">mDefaultNumMipmaps</a></td><td><a class="el" href="classOgre_1_1TextureManager.html">Ogre::TextureManager</a></td><td><code> [protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1ResourceManager.html#d26313df1d10e7953c90b7c37b373cf8">mLoadOrder</a></td><td><a class="el" href="classOgre_1_1ResourceManager.html">Ogre::ResourceManager</a></td><td><code> [protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1ResourceManager.html#7f0a00e183f455cdce1ec9152722f9b7">mMemoryBudget</a></td><td><a class="el" href="classOgre_1_1ResourceManager.html">Ogre::ResourceManager</a></td><td><code> [protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1ResourceManager.html#8b453ef000d4214e608ace37006cb1ff">mMemoryUsage</a></td><td><a class="el" href="classOgre_1_1ResourceManager.html">Ogre::ResourceManager</a></td><td><code> [protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1ResourceManager.html#70a84973505dc749acb913daef662f90">mNextHandle</a></td><td><a class="el" href="classOgre_1_1ResourceManager.html">Ogre::ResourceManager</a></td><td><code> [protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1TextureManager.html#26393ed87920709f9e73715bb9b90468">mPreferredFloatBitDepth</a></td><td><a class="el" href="classOgre_1_1TextureManager.html">Ogre::TextureManager</a></td><td><code> [protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1TextureManager.html#fd3d774913cd2e1d01d3670e0dd5ac9c">mPreferredIntegerBitDepth</a></td><td><a class="el" href="classOgre_1_1TextureManager.html">Ogre::TextureManager</a></td><td><code> [protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1ResourceManager.html#c02278ff18455db85fa7473abad9688c">mResources</a></td><td><a class="el" href="classOgre_1_1ResourceManager.html">Ogre::ResourceManager</a></td><td><code> [protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1ResourceManager.html#f7ac79c874e49fadc3cd7e228ab640d8">mResourcesByHandle</a></td><td><a class="el" href="classOgre_1_1ResourceManager.html">Ogre::ResourceManager</a></td><td><code> [protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1ResourceManager.html#86f8c21e087cb00a62d677ef1cd8131d">mResourceType</a></td><td><a class="el" href="classOgre_1_1ResourceManager.html">Ogre::ResourceManager</a></td><td><code> [protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Singleton.html#d36ac06b409a2d580217328ef2cd3a01">ms_Singleton</a></td><td><a class="el" href="classOgre_1_1Singleton.html">Ogre::Singleton&lt; T &gt;</a></td><td><code> [protected, static]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1ResourceManager.html#450dcef1a87442bcfe848ff92c43c6b5">mScriptPatterns</a></td><td><a class="el" href="classOgre_1_1ResourceManager.html">Ogre::ResourceManager</a></td><td><code> [protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1ResourceManager.html#8240f6bbf3449b1f2acdd476efbde821">parseScript</a>(DataStreamPtr &amp;stream, const String &amp;groupName)</td><td><a class="el" href="classOgre_1_1ResourceManager.html">Ogre::ResourceManager</a></td><td><code> [virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1ResourceManager.html#860f0bcac1a4d152878855f9a85a58d3">reloadAll</a>(bool reloadableOnly=true)</td><td><a class="el" href="classOgre_1_1ResourceManager.html">Ogre::ResourceManager</a></td><td><code> [virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1ResourceManager.html#22dbc50ba8fac0d3222a31ef1ef82dcd">reloadUnreferencedResources</a>(bool reloadableOnly=true)</td><td><a class="el" href="classOgre_1_1ResourceManager.html">Ogre::ResourceManager</a></td><td><code> [virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1ResourceManager.html#8675d6b8c353783cf22c3872f7eaa818">remove</a>(ResourcePtr &amp;r)</td><td><a class="el" href="classOgre_1_1ResourceManager.html">Ogre::ResourceManager</a></td><td><code> [virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1ResourceManager.html#bfb0022b18d022a7605f0d19a966f00f">remove</a>(const String &amp;name)</td><td><a class="el" href="classOgre_1_1ResourceManager.html">Ogre::ResourceManager</a></td><td><code> [virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1ResourceManager.html#c22655af03ecea85d863a1d1d561778c">remove</a>(ResourceHandle handle)</td><td><a class="el" href="classOgre_1_1ResourceManager.html">Ogre::ResourceManager</a></td><td><code> [virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1ResourceManager.html#6ff50fee06a678837cbeeea75e4372a5">removeAll</a>(void)</td><td><a class="el" href="classOgre_1_1ResourceManager.html">Ogre::ResourceManager</a></td><td><code> [virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1ResourceManager.html#7f5826bb4624b28bbe08f3c9fe88ee54">removeImpl</a>(ResourcePtr &amp;res)</td><td><a class="el" href="classOgre_1_1ResourceManager.html">Ogre::ResourceManager</a></td><td><code> [protected, virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1ResourceManager.html#f484f2b60c8d9bc87f37fa8af8e630c5">ResourceCreateOrRetrieveResult</a> typedef</td><td><a class="el" href="classOgre_1_1ResourceManager.html">Ogre::ResourceManager</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1ResourceManager.html#9dcc9da5760fcd3b39b4566fe308ad6b">resourceExists</a>(const String &amp;name)</td><td><a class="el" href="classOgre_1_1ResourceManager.html">Ogre::ResourceManager</a></td><td><code> [virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1ResourceManager.html#d9b4efbeacb17f07710c30bd5048e42f">resourceExists</a>(ResourceHandle handle)</td><td><a class="el" href="classOgre_1_1ResourceManager.html">Ogre::ResourceManager</a></td><td><code> [virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1ResourceManager.html#6d9424ed93bc679b5543ddc9fc9fe41b">ResourceHandleMap</a> typedef</td><td><a class="el" href="classOgre_1_1ResourceManager.html">Ogre::ResourceManager</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1ResourceManager.html#c373bd6fb2b37725970280e047d9efe4">ResourceManager</a>()</td><td><a class="el" href="classOgre_1_1ResourceManager.html">Ogre::ResourceManager</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1ResourceManager.html#60ea46f69b1dd9c8e27b9b3d7bd5bc35">ResourceMap</a> typedef</td><td><a class="el" href="classOgre_1_1ResourceManager.html">Ogre::ResourceManager</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1ResourceManager.html#4f7da59507a5a8550ea97615ff9afff0">ResourceMapIterator</a> typedef</td><td><a class="el" href="classOgre_1_1ResourceManager.html">Ogre::ResourceManager</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1TextureManager.html#b194cb5e332fc3eb35591e468f5dbcd3">setDefaultNumMipmaps</a>(size_t num)</td><td><a class="el" href="classOgre_1_1TextureManager.html">Ogre::TextureManager</a></td><td><code> [virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1ResourceManager.html#a7bd4f02b31fba693d3bea6492fe20a8">setMemoryBudget</a>(size_t bytes)</td><td><a class="el" href="classOgre_1_1ResourceManager.html">Ogre::ResourceManager</a></td><td><code> [virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1TextureManager.html#f2cae9ecc99635a541df72ae7cdd337a">setPreferredBitDepths</a>(ushort integerBits, ushort floatBits, bool reloadTextures=true)</td><td><a class="el" href="classOgre_1_1TextureManager.html">Ogre::TextureManager</a></td><td><code> [virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1TextureManager.html#77d097944def071bd10e1c2a03fc5b2c">setPreferredFloatBitDepth</a>(ushort bits, bool reloadTextures=true)</td><td><a class="el" href="classOgre_1_1TextureManager.html">Ogre::TextureManager</a></td><td><code> [virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1TextureManager.html#aaa53651124f3773fbcf6ae2b4a6fbe5">setPreferredIntegerBitDepth</a>(ushort bits, bool reloadTextures=true)</td><td><a class="el" href="classOgre_1_1TextureManager.html">Ogre::TextureManager</a></td><td><code> [virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Singleton.html#2b0622a1223ac3a0c6b9c53e787b8d93">Singleton</a>(void)</td><td><a class="el" href="classOgre_1_1Singleton.html">Ogre::Singleton&lt; T &gt;</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1TextureManager.html#41551412b46da954467432ec9955a2ba">TextureManager</a>(void)</td><td><a class="el" href="classOgre_1_1TextureManager.html">Ogre::TextureManager</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1ResourceManager.html#2cf457c70ea86892b1bec52028c96237">unload</a>(const String &amp;name)</td><td><a class="el" href="classOgre_1_1ResourceManager.html">Ogre::ResourceManager</a></td><td><code> [virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1ResourceManager.html#94962d0929fdc88c25d35672ff2c1ff0">unload</a>(ResourceHandle handle)</td><td><a class="el" href="classOgre_1_1ResourceManager.html">Ogre::ResourceManager</a></td><td><code> [virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1ResourceManager.html#caba96b1b4816457b03028eed9895789">unloadAll</a>(bool reloadableOnly=true)</td><td><a class="el" href="classOgre_1_1ResourceManager.html">Ogre::ResourceManager</a></td><td><code> [virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1ResourceManager.html#7b9ba584a17235f6eff9847b90ba895d">unloadUnreferencedResources</a>(bool reloadableOnly=true)</td><td><a class="el" href="classOgre_1_1ResourceManager.html">Ogre::ResourceManager</a></td><td><code> [virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1ResourceManager.html#2b2b134c38b4ead5ef13bd157fe2329a">~ResourceManager</a>()</td><td><a class="el" href="classOgre_1_1ResourceManager.html">Ogre::ResourceManager</a></td><td><code> [virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1ScriptLoader.html#d7758f66fa9246639426f3044478f709">~ScriptLoader</a>()</td><td><a class="el" href="classOgre_1_1ScriptLoader.html">Ogre::ScriptLoader</a></td><td><code> [virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Singleton.html#9bc0518bb06d12629e287149cdcc4b5d">~Singleton</a>(void)</td><td><a class="el" href="classOgre_1_1Singleton.html">Ogre::Singleton&lt; T &gt;</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1TextureManager.html#158398370212d5f7d00a1794b50cd9b5">~TextureManager</a>()</td><td><a class="el" href="classOgre_1_1TextureManager.html">Ogre::TextureManager</a></td><td><code> [virtual]</code></td></tr>
</table><hr>
<p>
Copyright &copy; 2000-2005 by The OGRE Team<br />
<!--Creative Commons License--><a rel="license" href="http://creativecommons.org/licenses/by-sa/2.5/"><img alt="Creative Commons License" border="0" src="http://creativecommons.org/images/public/somerights20.png"/></a><br/>
This work is licensed under a <a rel="license" href="http://creativecommons.org/licenses/by-sa/2.5/">Creative Commons Attribution-ShareAlike 2.5 License</a>.<br/>
		<!--/Creative Commons License--><!-- <rdf:RDF xmlns="http://web.resource.org/cc/" xmlns:dc="http://purl.org/dc/elements/1.1/" xmlns:rdf="http://www.w3.org/1999/02/22-rdf-syntax-ns#">
		<Work rdf:about="">
			<license rdf:resource="http://creativecommons.org/licenses/by-sa/2.5/" />
	<dc:type rdf:resource="http://purl.org/dc/dcmitype/Text" />
		</Work>
		<License rdf:about="http://creativecommons.org/licenses/by-sa/2.5/"><permits rdf:resource="http://web.resource.org/cc/Reproduction"/><permits rdf:resource="http://web.resource.org/cc/Distribution"/><requires rdf:resource="http://web.resource.org/cc/Notice"/><requires rdf:resource="http://web.resource.org/cc/Attribution"/><permits rdf:resource="http://web.resource.org/cc/DerivativeWorks"/><requires rdf:resource="http://web.resource.org/cc/ShareAlike"/></License></rdf:RDF> -->

Last modified Mon Jun 16 12:54:48 2008
</p>
</body>
</html>
